diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/helper/wimax-helper.cc ns-3.44/src/wimax/helper/wimax-helper.cc
--- ns-3.43/src/wimax/helper/wimax-helper.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/helper/wimax-helper.cc	2025-03-09 16:55:49.815372700 -0700
@@ -618,9 +618,9 @@
 }
 
 /**
- * \brief print pcap record
- * \param file pcap file
- * \param burst packet burst to print
+ * @brief print pcap record
+ * @param file pcap file
+ * @param burst packet burst to print
  */
 static void
 PcapSniffTxRxEvent(Ptr<PcapFileWrapper> file, Ptr<const PacketBurst> burst)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/helper/wimax-helper.h ns-3.44/src/wimax/helper/wimax-helper.h
--- ns-3.43/src/wimax/helper/wimax-helper.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/helper/wimax-helper.h	2025-03-09 16:55:49.815372700 -0700
@@ -37,7 +37,7 @@
 class UplinkScheduler;
 
 /**
- * \brief helps to manage and create WimaxNetDevice objects
+ * @brief helps to manage and create WimaxNetDevice objects
  *
  * This class can help to create a large set of similar
  * WimaxNetDevice objects and to configure their attributes
@@ -80,18 +80,18 @@
     };
 
     /**
-     * \brief Create a Wimax helper in an empty state.
+     * @brief Create a Wimax helper in an empty state.
      */
     WimaxHelper();
     ~WimaxHelper() override;
     /**
-     * \brief Enable ascii trace output on the indicated net device for a given connection
-     * \param oss The output stream object to use when logging ascii traces.
-     * \param nodeid the id of the node for which you want to enable tracing.
-     * \param deviceid the id of the net device for which you want to enable tracing.
-     * \param netdevice the type of net device for which you want to enable tracing
+     * @brief Enable ascii trace output on the indicated net device for a given connection
+     * @param oss The output stream object to use when logging ascii traces.
+     * @param nodeid the id of the node for which you want to enable tracing.
+     * @param deviceid the id of the net device for which you want to enable tracing.
+     * @param netdevice the type of net device for which you want to enable tracing
      * (SubscriberStationNetDevice, BaseStationNetDevice or WimaxNetDevice)
-     * \param connection the connection for which you want to enable tracing
+     * @param connection the connection for which you want to enable tracing
      * (InitialRangingConnection, BroadcastConnection, BasicConnection, PrimaryConnection).
      */
     static void EnableAsciiForConnection(Ptr<OutputStreamWrapper> oss,
@@ -101,16 +101,16 @@
                                          char* connection);
 
     /**
-     * \param phyType WiMAX Physical layer type
-     * \return WiMAX Phy object
+     * @param phyType WiMAX Physical layer type
+     * @return WiMAX Phy object
      *
      * Creates a physical layer object to be used in simulation.
      */
     Ptr<WimaxPhy> CreatePhy(PhyType phyType);
 
     /**
-     * \param schedulerType Scheduling mechanism
-     * \return Uplink scheduler
+     * @param schedulerType Scheduling mechanism
+     * @return Uplink scheduler
      *
      * Creates a uplink scheduler to be used by base station
      * according to selected scheduling mechanism.
@@ -118,8 +118,8 @@
     Ptr<UplinkScheduler> CreateUplinkScheduler(SchedulerType schedulerType);
 
     /**
-     * \param schedulerType Scheduling mechanism
-     * \return Downlink scheduler
+     * @param schedulerType Scheduling mechanism
+     * @return Downlink scheduler
      *
      * Creates a downlink scheduler to be used by base station
      * according to selected scheduling mechanism.
@@ -127,11 +127,11 @@
     Ptr<BSScheduler> CreateBSScheduler(SchedulerType schedulerType);
 
     /**
-     * \param c a set of nodes
-     * \param type device type to create
-     * \param phyType a phy to use
-     * \param schedulerType the type of the scheduling algorithm to install
-     * \return NetDeviceContainer
+     * @param c a set of nodes
+     * @param type device type to create
+     * @param phyType a phy to use
+     * @param schedulerType the type of the scheduling algorithm to install
+     * @return NetDeviceContainer
      *
      * For each of the input nodes, a new WiMAX net device (either
      * ns3::SubscriberStationNetDevice or ns3::BaseStationNetDevice
@@ -143,12 +143,12 @@
                                SchedulerType schedulerType);
 
     /**
-     * \param c A set of nodes.
-     * \param deviceType Device type to create.
-     * \param phyType PHY type to create.
-     * \param channel A channel to use.
-     * \param schedulerType The scheduling mechanism.
-     * \return NetDeviceContainer
+     * @param c A set of nodes.
+     * @param deviceType Device type to create.
+     * @param phyType PHY type to create.
+     * @param channel A channel to use.
+     * @param schedulerType The scheduling mechanism.
+     * @return NetDeviceContainer
      *
      * For each of the input nodes, a new WiMAX net device (either
      * ns3::SubscriberStationNetDevice or ns3::BaseStationNetDevice
@@ -160,12 +160,12 @@
                                Ptr<WimaxChannel> channel,
                                SchedulerType schedulerType);
     /**
-     * \param c A set of nodes.
-     * \param deviceType Device type to create.
-     * \param phyType PHY type to create.
-     * \param schedulerType The scheduling mechanism.
-     * \param frameDuration the farme duration in seconds
-     * \return NetDeviceContainer
+     * @param c A set of nodes.
+     * @param deviceType Device type to create.
+     * @param phyType PHY type to create.
+     * @param schedulerType The scheduling mechanism.
+     * @param frameDuration the farme duration in seconds
+     * @return NetDeviceContainer
      *
      * For each of the input nodes, a new WiMAX net device (either
      * ns3::SubscriberStationNetDevice or ns3::BaseStationNetDevice
@@ -178,25 +178,25 @@
                                double frameDuration);
 
     /**
-     * \brief Set the propagation and loss model of the channel. By default the channel
+     * @brief Set the propagation and loss model of the channel. By default the channel
      *  uses a COST231 propagation and loss model.
-     * \param propagationModel The propagation and loss model to set
+     * @param propagationModel The propagation and loss model to set
      */
     void SetPropagationLossModel(SimpleOfdmWimaxChannel::PropModel propagationModel);
 
     /**
-     * \param phyType WiMAX Physical layer type
-     * \return WiMAX Phy object
+     * @param phyType WiMAX Physical layer type
+     * @return WiMAX Phy object
      *
      * Creates a physical layer without a channel
      */
     Ptr<WimaxPhy> CreatePhyWithoutChannel(PhyType phyType);
 
     /**
-     * \param phyType WiMAX Physical layer type
-     * \param SNRTraceFilePath of the repository containing the SNR traces files
-     * \param activateLoss set to 1 to activate losses 0 otherwise
-     * \return WiMAX Phy object
+     * @param phyType WiMAX Physical layer type
+     * @param SNRTraceFilePath of the repository containing the SNR traces files
+     * @param activateLoss set to 1 to activate losses 0 otherwise
+     * @return WiMAX Phy object
      *
      * Creates a physical layer without creating a channel
      */
@@ -205,21 +205,21 @@
                                           bool activateLoss);
 
     /**
-     * \param phyType WiMAX Physical layer type
-     * \param SNRTraceFilePath the path to the repository containing the SNR traces files
-     * \param activateLoss set to 1 if you want ton activate losses 0 otherwise
-     * \return WiMAX Phy object
+     * @param phyType WiMAX Physical layer type
+     * @param SNRTraceFilePath the path to the repository containing the SNR traces files
+     * @param activateLoss set to 1 if you want ton activate losses 0 otherwise
+     * @return WiMAX Phy object
      *
      * Creates a physical layer
      */
     Ptr<WimaxPhy> CreatePhy(PhyType phyType, char* SNRTraceFilePath, bool activateLoss);
     /**
-     * \param node Node to be installed.
-     * \param deviceType Device type to create.
-     * \param phyType PHY type to create.
-     * \param channel A channel to use.
-     * \param schedulerType The scheduling mechanism to install on the device.
-     * \return Ptr<WimaxNetDevice>
+     * @param node Node to be installed.
+     * @param deviceType Device type to create.
+     * @param phyType PHY type to create.
+     * @param channel A channel to use.
+     * @param schedulerType The scheduling mechanism to install on the device.
+     * @return Ptr<WimaxNetDevice>
      *
      * For each of the input nodes, a new WiMAX net device (either
      * ns3::SubscriberStationNetDevice or ns3::BaseStationNetDevice
@@ -232,11 +232,11 @@
                                 SchedulerType schedulerType);
 
     /**
-     * \brief Creates a transport service flow.
-     * \param direction the direction of the service flow: UP or DOWN.
-     * \param schedulingType The service scheduling type to be used: UGS, RTPS, NRTPS, BE
-     * \param classifier The classifier to be used for this service flow
-     * \return ServiceFlow
+     * @brief Creates a transport service flow.
+     * @param direction the direction of the service flow: UP or DOWN.
+     * @param schedulingType The service scheduling type to be used: UGS, RTPS, NRTPS, BE
+     * @param classifier The classifier to be used for this service flow
+     * @return ServiceFlow
      *
      */
     ServiceFlow CreateServiceFlow(ServiceFlow::Direction direction,
@@ -253,8 +253,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -264,20 +264,20 @@
      * have been assigned. The Install() method should have previously been
      * called by the user.
      *
-     * \param c NetDeviceContainer of the set of net devices for which the
+     * @param c NetDeviceContainer of the set of net devices for which the
      *          WimaxNetDevice should be modified to use a fixed stream
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this helper
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NetDeviceContainer c, int64_t stream);
 
   private:
     /**
      * ASCII trace receive event
-     * \param stream the output stream
-     * \param path the path name
-     * \param packet the packet
-     * \param source the source MAC address
+     * @param stream the output stream
+     * @param path the path name
+     * @param packet the packet
+     * @param source the source MAC address
      */
     static void AsciiRxEvent(Ptr<OutputStreamWrapper> stream,
                              std::string path,
@@ -285,25 +285,25 @@
                              const Mac48Address& source);
     /**
      * ASCII trace transmit event
-     * \param stream the output stream
-     * \param path the path
-     * \param packet the packet
-     * \param dest the destination MAC address
+     * @param stream the output stream
+     * @param path the path
+     * @param packet the packet
+     * @param dest the destination MAC address
      */
     static void AsciiTxEvent(Ptr<OutputStreamWrapper> stream,
                              std::string path,
                              Ptr<const Packet> packet,
                              const Mac48Address& dest);
     /**
-     * \brief Enable pcap output on the indicated net device.
+     * @brief Enable pcap output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
-     * \param promiscuous If true capture all possible packets available at the device.
+     * @param prefix Filename prefix to use for pcap files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
+     * @param promiscuous If true capture all possible packets available at the device.
      */
     void EnablePcapInternal(std::string prefix,
                             Ptr<NetDevice> nd,
@@ -311,15 +311,15 @@
                             bool promiscuous) override;
 
     /**
-     * \brief Enable ascii trace output on the indicated net device.
+     * @brief Enable ascii trace output on the indicated net device.
      *
      * NetDevice-specific implementation mechanism for hooking the trace and
      * writing to the trace file.
      *
-     * \param stream The output stream object to use when logging ascii traces.
-     * \param prefix Filename prefix to use for ascii trace files.
-     * \param nd Net device for which you want to enable tracing.
-     * \param explicitFilename Treat the prefix as an explicit filename if true
+     * @param stream The output stream object to use when logging ascii traces.
+     * @param prefix Filename prefix to use for ascii trace files.
+     * @param nd Net device for which you want to enable tracing.
+     * @param explicitFilename Treat the prefix as an explicit filename if true
      */
     void EnableAsciiInternal(Ptr<OutputStreamWrapper> stream,
                              std::string prefix,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bandwidth-manager.h ns-3.44/src/wimax/model/bandwidth-manager.h
--- ns-3.43/src/wimax/model/bandwidth-manager.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bandwidth-manager.h	2025-03-09 16:55:49.815372700 -0700
@@ -32,8 +32,8 @@
 class UplinkScheduler;
 
 /**
- * \ingroup wimax
- * \brief This class manage the bandwidth request and grant mechanism.
+ * @ingroup wimax
+ * @brief This class manage the bandwidth request and grant mechanism.
  * The bandwidth request and grant mechanism is supported by the Bandwidth
  * Manager. Both BS and SS maintain a bandwidth manager. Furthermore BS's
  * bandwidth manager works together with the uplink scheduler to determine
@@ -46,14 +46,14 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
      * Constructor
      *
-     * \param device WIMAX device
+     * @param device WIMAX device
      */
     BandwidthManager(Ptr<WimaxNetDevice> device);
     ~BandwidthManager() override;
@@ -66,33 +66,33 @@
 
     /**
      * Calculate allocation size function
-     * \param ssRecord the SS record
-     * \param serviceFlow the service flow
-     * \returns the allocation size
+     * @param ssRecord the SS record
+     * @param serviceFlow the service flow
+     * @returns the allocation size
      */
     uint32_t CalculateAllocationSize(const SSRecord* ssRecord, const ServiceFlow* serviceFlow);
     /**
      * Select flow for request function
-     * \param bytesToRequest bytes to request
-     * \returns a service flow
+     * @param bytesToRequest bytes to request
+     * @returns a service flow
      */
     ServiceFlow* SelectFlowForRequest(uint32_t& bytesToRequest);
     /**
      * Send bandwidth request
-     * \param uiuc the UIUC
-     * \param allocationSize the allocation size
+     * @param uiuc the UIUC
+     * @param allocationSize the allocation size
      */
     void SendBandwidthRequest(uint8_t uiuc, uint16_t allocationSize);
     /**
      * Process bandwidth request
-     * \param bwRequestHdr the bandwidth request
+     * @param bwRequestHdr the bandwidth request
      */
     void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr);
     /// Set subframe ratio
     void SetSubframeRatio();
     /**
      * Get symbols per frame allocated
-     * \returns the symbols per the frame allocated
+     * @returns the symbols per the frame allocated
      */
     uint32_t GetSymbolsPerFrameAllocated();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-link-manager.cc ns-3.44/src/wimax/model/bs-link-manager.cc
--- ns-3.43/src/wimax/model/bs-link-manager.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-link-manager.cc	2025-03-09 16:55:49.815372700 -0700
@@ -66,7 +66,7 @@
     NS_ASSERT_MSG(m_bs->GetState() == BaseStationNetDevice::BS_STATE_UL_SUB_FRAME,
                   "Base station: Error while processing ranging request: !BS_STATE_UL_SUB_FRAME");
 
-    Time irIntervalBoundary = Seconds(0);
+    Time irIntervalBoundary;
 
     if (m_bs->GetUplinkScheduler()->GetIsInvIrIntrvlAllocated())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-link-manager.h ns-3.44/src/wimax/model/bs-link-manager.h
--- ns-3.43/src/wimax/model/bs-link-manager.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-link-manager.h	2025-03-09 16:55:49.815372700 -0700
@@ -24,7 +24,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * BaseStation Link Manager
  */
@@ -32,14 +32,14 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     BSLinkManager(Ptr<BaseStationNetDevice> bs);
     ~BSLinkManager() override;
@@ -49,106 +49,106 @@
     BSLinkManager& operator=(const BSLinkManager&) = delete;
 
     /**
-     * \return the ranging opportunities to allocate
+     * @return the ranging opportunities to allocate
      */
     uint8_t CalculateRangingOppsToAllocate();
     /**
-     * \return an available downlink channel
+     * @return an available downlink channel
      */
     uint64_t SelectDlChannel();
     /**
-     * \brief process a ranging request message
-     * \param cid the connection identifier in which the ranging message was received
-     * \param rngreq the ranging request message
+     * @brief process a ranging request message
+     * @param cid the connection identifier in which the ranging message was received
+     * @param rngreq the ranging request message
      */
 
     void ProcessRangingRequest(Cid cid, RngReq rngreq);
     /**
-     * \brief Verifies at the end of an invited ranging interval if SS sent ranging message in it or
+     * @brief Verifies at the end of an invited ranging interval if SS sent ranging message in it or
      * not
-     * \param cid the connection identifier in which the ranging message was received
-     * \param uiuc the ranging
+     * @param cid the connection identifier in which the ranging message was received
+     * @param uiuc the ranging
      */
     void VerifyInvitedRanging(Cid cid, uint8_t uiuc);
 
   private:
     /**
      * Perform ranging function
-     * \param cid the CID
-     * \param rngreq the ranging request
+     * @param cid the CID
+     * @param rngreq the ranging request
      */
     void PerformRanging(Cid cid, RngReq rngreq);
     /**
      * Perform initial ranging function
-     * \param cid the CID
-     * \param rngreq the ranging request
-     * \param rngrsp the ranging response
+     * @param cid the CID
+     * @param rngreq the ranging request
+     * @param rngrsp the ranging response
      */
     void PerformInitialRanging(Cid cid, RngReq* rngreq, RngRsp* rngrsp);
     /**
      * Perform inivted ranging function
-     * \param cid the CID
-     * \param rngrsp the ranging response
+     * @param cid the CID
+     * @param rngrsp the ranging response
      */
     void PerformInvitedRanging(Cid cid, RngRsp* rngrsp);
 
     /**
      * Set parameters to adjust function
-     * \param rngrsp the ranging response
+     * @param rngrsp the ranging response
      */
     void SetParametersToAdjust(RngRsp* rngrsp);
     /**
      * Abort ranging function
-     * \param cid the CID
-     * \param rngrsp the ranging response
-     * \param ssRecord the SS record
-     * \param isNewSS true if a new SS
+     * @param cid the CID
+     * @param rngrsp the ranging response
+     * @param ssRecord the SS record
+     * @param isNewSS true if a new SS
      */
     void AbortRanging(Cid cid, RngRsp* rngrsp, SSRecord* ssRecord, bool isNewSS);
     /**
      * Accept ranging function
-     * \param cid the CID
-     * \param rngrsp the ranging response
-     * \param ssRecord the SS record
+     * @param cid the CID
+     * @param rngrsp the ranging response
+     * @param ssRecord the SS record
      */
     void AcceptRanging(Cid cid, RngRsp* rngrsp, SSRecord* ssRecord);
     /**
      * Continue ranging function
-     * \param cid the CID
-     * \param rngrsp the ranging response
-     * \param ssRecord the SS record
+     * @param cid the CID
+     * @param rngrsp the ranging response
+     * @param ssRecord the SS record
      */
     void ContinueRanging(Cid cid, RngRsp* rngrsp, SSRecord* ssRecord);
     /**
      * Schedule range response message function
-     * \param cid the CID
-     * \param rngrsp the ranging response
+     * @param cid the CID
+     * @param rngrsp the ranging response
      */
     void ScheduleRngRspMessage(Cid cid, RngRsp* rngrsp);
     /**
      * Deallocate CIDs function
-     * \param cid the CID
+     * @param cid the CID
      */
     void DeallocateCids(Cid cid);
 
     /**
      * Change DL channel function
-     * \returns true if the DL channel changed
+     * @returns true if the DL channel changed
      */
     bool ChangeDlChannel();
     /**
      * Get new DL channel function
-     * \returns the new DL channel
+     * @returns the new DL channel
      */
     uint32_t GetNewDlChannel();
     /**
      * Get signal quality function
-     * \returns the signal quality
+     * @returns the signal quality
      */
     uint8_t GetSignalQuality();
     /**
      * Is ranging acceptable function
-     * \returns true if ranging is acceptable
+     * @returns true if ranging is acceptable
      */
     bool IsRangingAcceptable();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-net-device.cc ns-3.44/src/wimax/model/bs-net-device.cc
--- ns-3.43/src/wimax/model/bs-net-device.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-net-device.cc	2025-03-09 16:55:49.815372700 -0700
@@ -967,7 +967,7 @@
 void
 BaseStationNetDevice::SendBursts()
 {
-    Time txTime = Seconds(0);
+    Time txTime;
     std::pair<OfdmDlMapIe*, Ptr<PacketBurst>> pair;
     WimaxPhy::ModulationType modulationType = WimaxPhy::MODULATION_TYPE_BPSK_12;
     std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* downlinkBursts =
@@ -1177,11 +1177,9 @@
 BaseStationNetDevice::MarkUplinkAllocations()
 {
     uint16_t symbolsToAllocation = 0;
-    std::list<OfdmUlMapIe> uplinkAllocations = m_uplinkScheduler->GetUplinkAllocations();
-    for (auto iter = uplinkAllocations.begin(); iter != uplinkAllocations.end(); ++iter)
+    const auto& uplinkAllocations = m_uplinkScheduler->GetUplinkAllocations();
+    for (const auto& uplinkAllocation : uplinkAllocations)
     {
-        OfdmUlMapIe uplinkAllocation = *iter;
-
         if (uplinkAllocation.GetUiuc() == OfdmUlBurstProfile::UIUC_END_OF_MAP)
         {
             break;
